## org.apache.poi.ss.formula.functions
Interface Function4Arg

All Superinterfaces:
  Function

All Known Implementing Classes:
  FinanceFunction, Fixed4ArgFunction, Hlookup, Index, Replace, Substitute, Vlookup

    public interface Function4Arg

extends Function

Implemented by all functions that can be called with four arguments

Author:
  Josh Micich

Method Summary
`ValueEval` `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0, ValueEval arg1, ValueEval arg2, ValueEval arg3)` see `Function.evaluate(ValueEval[], int, int)`

Methods inherited from interface org.apache.poi.ss.formula.functions.Function
`evaluate`

Method Detail

### evaluate

    ValueEval evaluate(int srcRowIndex,
                       int srcColumnIndex,
                       ValueEval arg0,
                       ValueEval arg1,
                       ValueEval arg2,
                       ValueEval arg3)

  see `Function.evaluate(ValueEval[], int, int)`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.